<?php
declare (strict_types = 1);

namespace app\index\middleware;

class ConfirmRequestFrom
{
    /**
     * 处理请求
     *
     * @param \think\Request $request
     * @param \Closure       $next
     * @return Response
     */
    public function handle($request, \Closure $next)
    {
        // 确认请求来源
        $request->from = get_platform();
        
        return $next($request);
    }
}
